# -*- coding: utf8 -*-
from __future__ import unicode_literals


from driverng.drivers.dm.base import DMDriverBase, DMSegmentH, DMSegmentQ, DMSegmentP, DMSegmentO, DMSegmentR, DMSegmentC, DMSegmentL


class DMDriver(DMDriverBase):
    SPEC = {
        "code": "dm",
        "label": "CellaVision DM",
    }
    SEGMENT_CLASS_MAP = {
        "H": DMSegmentH,
        "P": DMSegmentP,
        "O": DMSegmentO,
        "Q": DMSegmentQ,
        "R": DMSegmentR,
        "C": DMSegmentC,
        "L": DMSegmentL,
    }
