# -*- coding: utf8 -*-


class Error(Exception):
    pass


class ParsingError(Error):
    detail = None

    def __init__(self, message):
        self.message = message

    def __str__(self):
        if self.detail:
            return u'{}\n{}'.format(self.detail, self.message)
        return self.message


class ValidationError(Error):
    pass


class ProgrammingError(Error):
    pass


class ParametrageError(Error):
    pass
